View Issue Details

IDProjectCategoryView StatusLast Update
14101Bug reports[All Projects] Survey designpublic2019-01-09 15:34
ReporterckleAssigned ToDenisChenu 
PrioritynoneSeveritytweak 
Status resolvedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.15.x 
Summary14101: Missing CSS-class "row" in li-tag inside answer-container of multiple-short-text-questions and multiple-numeric-questions
Description

In "Multiple Short Text" and "Multiple Numerical Input"-Questions is no space between the Input-Fields.
The cause in my opinion is the absence of the CSS-class "row" in the parent li-tag (see screenshots).

Without the CSS-class (LimeSurvey_3_without_CSS-class_row.png) the li-tag is rendered like an empty tag (height = 0 pixel).
With CSS-class "row" (LimeSurvey_3_with_CSS-class_row.png) the li-tag has a height of 34 pixel.

Steps To Reproduce
  • Create a new survey
  • Add a new "Multiple Short Text" or "Multiple Numerical Input"-Question
  • Add two or more subquestions
  • Preview (survey/question group)
Tagsanswers_html
Complete LimeSurvey version number (& build)3.14.10+180924
I will donate to the project if issue is resolvedNo
BrowserFirefox 62.0.2
Database & DB-VersionMicrosoft SQL Server 2017 14.0.3006.16
Server OS (if known)Windows NT 10.0 build 14393 (Windows Server 2016)
Webserver software & version (if known)Microsoft IIS 10.0
PHP Version7.0

Relationships

related to 14191 resolvedDenisChenu Broken question view if sum of width !=12 

Activities

ckle

ckle

2018-09-26 12:15

reporter  

LouisGac

LouisGac

2018-09-26 16:14

manager   ~49146

I can't reproduce the bug on firefox, and your solution (a good one) makes the space between rows really huge.
wich theme are you using? I don't recognize it

DenisChenu

DenisChenu

2018-09-26 18:35

developer   ~49150

Don't need .row since there are .form-group

Look at bs : https://getbootstrap.com/docs/3.3/css/#forms-horizontal

Use Bootstrap's predefined grid classes to align labels and groups of form controls in a horizontal layout by adding .form-horizontal to the form (which doesn't have to be a <form>). Doing so changes .form-groups to behave as grid rows, so no need for .row.

Maybe form-horizontal on the ul part.

DenisChenu

DenisChenu

2018-09-26 18:42

developer   ~49153

Confirm : lack of form-horizontal

ckle

ckle

2018-09-27 09:17

reporter   ~49154

@LouisGac I'm using a theme that extend the core theme "Vanilla" (see following screenshots).

@DenisChenu Thanks for your hint. You're right. It's not the lack of class "row" in the li-tag, it's the lack of "form-horizontal" in the parent ul-tag.
My mistake.

Thanks for your quick reply! Your're doing a great job!



DenisChenu

DenisChenu

2018-09-28 08:43

developer   ~49158

Last edited: 2018-09-28 08:47

View 3 revisions

There are an issue with form-horizontal and multiple choice and single choice …

I think if we add form-horizontal now in core, we must add it to all list …

A solution for this can be

.form-horizontal .control-label{padding-top:0}
.form-horizontal .form-group {margin-right: 0;margin-left: 0;}

after default bootstrap …



DenisChenu

DenisChenu

2018-10-22 19:00

developer   ~49408

I test currently with

.form-horizontal {
    padding-left:15px;
    padding-right:15px;
}

But must be tested

The checkbox and radio system in BS 3 are really unclear here …

DenisChenu

DenisChenu

2018-10-29 13:07

developer   ~49466

https://github.com/LimeSurvey/LimeSurvey/pull/1160

DenisChenu

DenisChenu

2018-10-30 08:48

developer   ~49477

Fix committed to master_fix_columnWidth branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=28418

DenisChenu

DenisChenu

2018-11-02 09:42

developer   ~49510

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=28448

Related Changesets

LimeSurvey: master_fix_columnWidth f5989145

2018-10-29 11:41:56

DenisChenu

Details Diff
Fixed issue 14101: Missing CSS-class "form-horizontal" for multiple-short-text-questions
Fixed issue 14191: Broken question view if sum of width !=12
mod - application/views/survey/questions/answer/5pointchoice/rows/item_row.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/answer.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/day.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/hour.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/minute.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/month.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/year.twig Diff File
mod - application/views/survey/questions/answer/date/selector/answer.twig Diff File
mod - application/views/survey/questions/answer/gender/buttons/answer.twig Diff File
mod - application/views/survey/questions/answer/gender/radio/answer.twig Diff File
mod - application/views/survey/questions/answer/language/answer.twig Diff File
mod - application/views/survey/questions/answer/list_dropdown/answer.twig Diff File
mod - application/views/survey/questions/answer/list_with_comment/list/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/listradio/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/listradio/rows/answer_row_other.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice/rows/answer_row_other.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice_with_comments/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/answer.twig Diff File
mod - application/views/survey/questions/answer/multipleshorttext/answer.twig Diff File
mod - application/views/survey/questions/answer/yesno/buttons/item.twig Diff File
mod - application/views/survey/questions/answer/yesno/radio/item.twig Diff File

LimeSurvey: master 6dd25d46

2018-11-02 09:42:10

DenisChenu


Committer: GitHub Details Diff
Fixed issue 14191: Broken question view if sum of width !=12

Fixed issue 14101: Missing CSS-class "form-horizontal" for multiple-short-text-questions
Fixed issue : hidden column in multiple short text
Dev: checkbox with comment + add some margin for radio/checkbox list
Dev: (radio|checkbox)-text-item need too
Dev: no form-group inside form-group
Dev: adding form-horizontal put some padding-top on label
mod - application/config/version.php Diff File
mod - application/views/survey/questions/answer/5pointchoice/rows/item_row.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/answer.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/day.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/hour.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/minute.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/month.twig Diff File
mod - application/views/survey/questions/answer/date/dropdown/rows/year.twig Diff File
mod - application/views/survey/questions/answer/date/selector/answer.twig Diff File
mod - application/views/survey/questions/answer/gender/buttons/answer.twig Diff File
mod - application/views/survey/questions/answer/gender/radio/answer.twig Diff File
mod - application/views/survey/questions/answer/language/answer.twig Diff File
mod - application/views/survey/questions/answer/list_dropdown/answer.twig Diff File
mod - application/views/survey/questions/answer/list_with_comment/list/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/listradio/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/listradio/rows/answer_row_other.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice/rows/answer_row_other.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice_with_comments/answer.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice_with_comments/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice_with_comments/rows/answer_row_other.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/answer.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/answer_input.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/dynamic.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/input/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/sliders/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multipleshorttext/answer.twig Diff File
mod - application/views/survey/questions/answer/multipleshorttext/rows/answer_row_inputtext.twig Diff File
mod - application/views/survey/questions/answer/yesno/buttons/item.twig Diff File
mod - application/views/survey/questions/answer/yesno/radio/item.twig Diff File
mod - assets/packages/limesurvey/survey.css Diff File
mod - assets/packages/template-core/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox-rtl.css Diff File
mod - assets/packages/template-core/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css Diff File
mod - assets/packages/template-core/template-core.css Diff File

Issue History

Date Modified Username Field Change
2018-09-26 12:15 ckle New Issue
2018-09-26 12:15 ckle File Added: LimeSurvey_3_with_CSS-class_row.png
2018-09-26 12:15 ckle File Added: LimeSurvey_3_without_CSS-class_row.png
2018-09-26 16:14 LouisGac Note Added: 49146
2018-09-26 18:35 DenisChenu Note Added: 49150
2018-09-26 18:42 DenisChenu Note Added: 49153
2018-09-27 09:17 ckle File Added: LimeSurvey_3_Vanilla_without_CSS-class_form-horizontal.png
2018-09-27 09:17 ckle File Added: LimeSurvey_3_Vanilla_with_CSS-class_form-horizontal.png
2018-09-27 09:17 ckle Note Added: 49154
2018-09-28 08:43 DenisChenu File Added: Capture du 2018-09-28 08-41-24.png
2018-09-28 08:43 DenisChenu File Added: Capture du 2018-09-28 08-42-52.png
2018-09-28 08:43 DenisChenu Note Added: 49158
2018-09-28 08:46 DenisChenu Note Edited: 49158 View Revisions
2018-09-28 08:47 DenisChenu Note Edited: 49158 View Revisions
2018-10-01 11:23 ckle Tag Attached: answers_html
2018-10-22 19:00 DenisChenu Note Added: 49408
2018-10-29 10:49 DenisChenu Relationship added related to 14191
2018-10-29 13:07 DenisChenu Note Added: 49466
2018-10-30 08:48 DenisChenu Changeset attached => LimeSurvey master_fix_columnWidth f5989145
2018-10-30 08:48 DenisChenu Note Added: 49477
2018-10-30 08:48 DenisChenu Assigned To => DenisChenu
2018-10-30 08:48 DenisChenu Resolution open => fixed
2018-11-02 09:42 DenisChenu Changeset attached => LimeSurvey master 6dd25d46
2018-11-02 09:42 DenisChenu Note Added: 49510
2018-11-02 10:15 DenisChenu Status new => resolved
2018-11-02 10:15 DenisChenu Fixed in Version => 3.15.x